Bug 198980 - [PATCH] comms/kermit: Fix build with No-SSLv3
Summary: [PATCH] comms/kermit: Fix build with No-SSLv3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: John Marino
URL:
Keywords: patch
Depends on:
Blocks: 195796
  Show dependency treegraph
 
Reported: 2015-03-28 10:10 UTC by Bernard Spil
Modified: 2016-09-11 21:13 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
svn diff for comms/kermit (3.08 KB, patch)
2015-03-28 10:10 UTC, Bernard Spil
no flags Details | Diff
svn diff for comms/kermit (6.83 KB, patch)
2015-10-10 10:31 UTC, Bernard Spil
no flags Details | Diff
svn diff for comms/kermit 9.0.304.dev20 (3.52 KB, patch)
2016-07-02 11:13 UTC, Bernard Spil
brnrd: maintainer-approval? (danfe)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-28 10:10:07 UTC
Created attachment 154908 [details]
svn diff for comms/kermit

comms/kermit requires EGD and SSL compression. LibreSSL has removed EGD (and no currently supported platform requires EGD) and does not support compression.

This patch makes building with EGD and compression configurable.
Comment 1 Bernard Spil freebsd_committer 2015-10-10 10:31:50 UTC
Created attachment 161871 [details]
svn diff for comms/kermit

 - Simplify patch (use features from headers)
 - Fix build without SSLv3
 - Fix build without EGD
 - Fix build without SSL Compression
Comment 2 Franco Fichtner 2015-10-25 13:13:31 UTC
Added this to OPNsense ports, we've always had kermit marked as broken with LibreSSL and this fixes it. Thanks guys. :)

https://github.com/opnsense/ports/commit/3331d51af24ae0ea29f6983fd8eafc1a59903023
Comment 3 Bernard Spil freebsd_committer 2016-07-02 11:13:26 UTC
Created attachment 172037 [details]
svn diff for comms/kermit 9.0.304.dev20

comms/kermit: Update to 9.0.304dev20

  - Update to version 9.0.304 dev.20
  - Change upstream to kermitproject.org
  - Move from USE_OPENSSL to USES=ssl

This version fixes building without SSLv2/SSLv3/EGD/Compression

Build with LibreSSL 2.4.1 OK
Build with OpenSSL 1.0.2 OK
Comment 4 John Marino freebsd_committer 2016-09-11 21:07:11 UTC
Taking over (timed out plus under SSL blanket)
Comment 5 commit-hook freebsd_committer 2016-09-11 21:11:32 UTC
A commit references this bug:

Author: marino
Date: Sun Sep 11 21:11:08 UTC 2016
New revision: 421877
URL: https://svnweb.freebsd.org/changeset/ports/421877

Log:
  comms/kermit: Upgrade version 9.0.302 => 9.0.304 (LibreSSL support)

  Fixes when SSL library has no SSLv3, EGD and compression.

  PR:		198980
  Submitted by:	brnrd@
  Approved by:	maintainer timeout (2 months) + SSL blanket

Changes:
  head/comms/kermit/Makefile
  head/comms/kermit/distinfo
  head/comms/kermit/files/
  head/comms/kermit/files/ckermit.ini
  head/comms/kermit/files/ckermod.ini
  head/comms/kermit/pkg-descr